#include <X11/copyright.h>

/* $XConsortium: Template.h,v 1.4 89/07/21 01:41:49 kit Exp $ */
/* Copyright	Massachusetts Institute of Technology	1987, 1988 */

#ifndef _MuMenu_h
#define _MuMenu_h

/* declare specific MuMenuWidget class and instance datatypes */
typedef struct _MuMenuClassRec*	MuMenuWidgetClass;
typedef struct _MuMenuRec*	MuMenuWidget;

/* declare the class constant */
extern WidgetClass muMenuWidgetClass;

extern Widget MuCreateMenuBar();
extern Widget MuCreateMenuPane();
extern void MuRegisterMenuCallbacks();

typedef struct _MuCallbacksRec {
    char *name;
    XtCallbackProc proc;
} MuCallbacksRec;

#endif /* _MuMenu_h */
