
#ifndef _XtCalendar_h
#define _XtCalendar_h

/***********************************************************************
 *
 * Calendar Widget
 *
 *
 ***********************************************************************/

#include <X11/Intrinsic.h>

 
/* Class record constants */

extern WidgetClass calendarWidgetClass;

/* Parameters:

 Name                Class              RepType         Default Value
 ----                -----              -------         -------------
 background          Background         Pixel           white
 borderWidth         BorderWidth        Dimension       1
 dayFont             Font               XFontStruct*    fixed
 dateJustify         Justify            XtJustify       XtJustifyLeft
 drawGrid            Boolean            Boolean         True
 font                Font               XFontStruct*    fixed
 foreground          Foreground         Pixel           black
 height              Height             Dimension       164
 hiliteFont          Font               XFontStruct*    fixed
 month               Date               Int             now
 monthFont           Font               XFontStruct*    fixed
 reverseVideo        ReverseVideo       Boolean         False
 showDays            Boolean            Boolean         True
 showMonth           Boolean            Boolean         True
 showYear            Boolean            Boolean         False
 width               Width              Dimension       164
 year                Date               Int             now
*/

#define XmNdateProc             "dateProc"
#define XmNdateExtProc          "dateExtProc"
#define XmNclickProc            "clickProc"
#define XmNmonth                "month"
#define XmNmonthProc            "monthProc"
#define XmNyear                 "year"
#define XmNyearProc             "yearProc"
#define XmNhiliteFont           "hiliteFont"
#define XmNdayFont              "dayFont"
#define XmNmonthFont            "monthFont"
#define XmNdJustify             "dateJustify"
#define XmNshowDays             "showDays"
#define XmNshowMonth            "showMonth"
#define XmNshowYear             "showYear"
#define XmNdrawGrid             "drawGrid"

#define XmCDate                 "date"

#define SELECTED 1
#define SELECTING 2
#define SPECIAL 4

typedef struct _CalendarClassRec *CalendarWidgetClass;
typedef struct _CalendarRec      *CalendarWidget;

typedef struct _CalendarSelection
{
int month, day, year;
} CalendarSelection;

extern void CalGetSelInfo();
extern void CalSetSelInfo();

#endif _XtCalendar_h
/* DON'T ADD STUFF AFTER THIS #endif */






